Package org.gradle.api.file

# Class EmptyFileVisitor

java.lang.Object
org.gradle.api.file.EmptyFileVisitor

All Implemented Interfaces:
  `FileVisitor`

public class EmptyFileVisitor extends Object implements FileVisitor
The EmptyFileVisitor can be extends by implementations that only require to implement one of the 2 visit methods (dir or file). This is just to limit the amount of code clutter when not both visit methods need to be implemented.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmptyFileVisitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `visitDir(FileVisitDetails dirDetails)`
  Visits a directory.
  `void`
  `visitFile(FileVisitDetails fileDetails)`
  Visits a file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmptyFileVisitor

    public EmptyFileVisitor()

- ## Method Details

  - ### visitDir

    public void visitDir(FileVisitDetails dirDetails)
    Description copied from interface: `FileVisitor`
    Visits a directory.
    Specified by:
      `visitDir` in interface `FileVisitor`
    Parameters:
      `dirDetails` - Meta-info about the directory.

  - ### visitFile

    public void visitFile(FileVisitDetails fileDetails)
    Description copied from interface: `FileVisitor`
    Visits a file.
    Specified by:
      `visitFile` in interface `FileVisitor`
    Parameters:
      `fileDetails` - Meta-info about the file.